View Issue Details

IDProjectCategoryView StatusLast Update
0034346FPCInstallerpublic2018-11-11 21:57
ReporterMattias Gaertner Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status newResolutionopen 
Summary0034346: make install puts libpas2jslib.so into wrong directory
DescriptionCalling "make install INSTALL_PREFIX=~/tmp INSTALL_LIBDIR=~/tmp/lib64" puts all fpc files under ~/tmp/lib64, except for libpas2js.so, which ends up in ~/tmp/lib. It seems somewhere the path for so files is hardcoded somewhere.
TagsNo tags attached.
Fixed in Revision
FPCOldBugId0
FPCTarget
Attached Files

Relationships

parent of 0034323 resolvedMattias Gaertner Lazarus Lazarus fixes branch 2.0: Installed (but unpackaged) file(s) found:/usr/lib/libpas2jslib.so not packaged 

Activities

John Shand

2018-10-18 08:59

reporter   ~0111447

Last edited: 2018-10-18 09:00

View 2 revisions

hi mattias, just wondering about the progress on this issue. has there been any progress on this? seems to be a very annoying bug. even i'm trying to find the issue, but can't find anything. can this be fixed asap?

sorry for being annoying, i just don't see anything being done. maybe this is not as important as other things

John Shand

2018-10-27 01:20

reporter  

fpc-makeall.txt (300,100 bytes)

John Shand

2018-10-27 01:21

reporter   ~0111592

just a quick note. i just did a make all in the fpc directory and the compilation worked well as shown in the fpc-makeall.txt file.

John Shand

2018-10-27 01:31

reporter   ~0111593

this is to do with the fpc version 3.2.0 fixes branch

John Shand

2018-10-27 01:46

reporter   ~0111594

i have also added the fpc-createrpmerror.txt file to represent the error and other possible problems which could cause this

John Shand

2018-10-27 01:46

reporter  

fpc-createrpmerror.txt (1,814,735 bytes)

John Shand

2018-10-27 10:00

reporter  

fpc-makeinstall.txt (47,464 bytes)   
make installbase FPC=/home/jshand/fpc/compiler/ppcx64 ZIPDESTDIR=/home/jshand/fpc FPCMAKE=/home/jshand/fpc/utils/fpcm/bin/x86_64-linux/fpcmake
make[1]: Entering directory '/home/jshand/fpc'
/usr/bin/install -m 755 -d /usr/local/lib/fpc/3.2.0
/usr/bin/install -m 755 -d /usr/local/bin
make compiler_distinstall FPC=/home/jshand/fpc/compiler/ppcx64 ZIPDESTDIR=/home/jshand/fpc FPCMAKE=/home/jshand/fpc/utils/fpcm/bin/x86_64-linux/fpcmake
make[2]: Entering directory '/home/jshand/fpc'
make -C compiler distinstall
make[3]: Entering directory '/home/jshand/fpc/compiler'
make -C utils install
make[4]: Entering directory '/home/jshand/fpc/compiler/utils'
/usr/bin/install -m 755 -d /usr/local/bin
/usr/bin/install -c -m 755 fpc ppufiles ppudump ppumove mka64ins mkarmins mkx86ins /usr/local/bin
make[4]: Leaving directory '/home/jshand/fpc/compiler/utils'
/usr/bin/install -m 755 -d /usr/local/lib/fpc/3.2.0
/usr/bin/install -c -m 755 ppcx64 /usr/local/lib/fpc/3.2.0/ppcx64
/usr/bin/install -m 755 -d /usr/local/lib/fpc/3.2.0
/usr/bin/install -c -m 755 utils/samplecfg /usr/local/lib/fpc/3.2.0/samplecfg
/usr/bin/install -m 755 -d /usr/local/lib/fpc/3.2.0/msg
/usr/bin/install -c -m 644 msg/errorues.msg msg/errorru.msg msg/errorr.msg msg/errorptu.msg msg/errorpt.msg msg/errorpl.msg msg/errorpli.msg msg/errorn.msg msg/erroriu.msg msg/errorid.msg msg/errorheu.msg msg/errorhe.msg msg/errorf.msg msg/errorfi.msg msg/errores.msg msg/errore.msg msg/errordu.msg msg/errord.msg msg/errorda.msg msg/errorct.msg /usr/local/lib/fpc/3.2.0/msg
make -C utils exampleinstall
make[4]: Entering directory '/home/jshand/fpc/compiler/utils'
make[4]: Nothing to be done for 'exampleinstall'.
make[4]: Leaving directory '/home/jshand/fpc/compiler/utils'
make[3]: Leaving directory '/home/jshand/fpc/compiler'
make[2]: Leaving directory '/home/jshand/fpc'
make rtl_distinstall FPC=/home/jshand/fpc/compiler/ppcx64 ZIPDESTDIR=/home/jshand/fpc FPCMAKE=/home/jshand/fpc/utils/fpcm/bin/x86_64-linux/fpcmake
make[2]: Entering directory '/home/jshand/fpc'
make -C rtl distinstall
make[3]: Entering directory '/home/jshand/fpc/rtl'
make -C linux all
make[4]: Entering directory '/home/jshand/fpc/rtl/linux'
make[4]: Leaving directory '/home/jshand/fpc/rtl/linux'
/home/jshand/fpc/utils/fpcm/bin/x86_64-linux/fpcmake -p -Tx86_64-linux Makefile.fpc
Processing Makefile.fpc
 Writing Package.fpc
/usr/bin/install -m 755 -d /usr/local/lib/fpc/3.2.0/units/x86_64-linux/rtl
/usr/bin/install -c -m 644 Package.fpc /usr/local/lib/fpc/3.2.0/units/x86_64-linux/rtl
make -C linux install
make[4]: Entering directory '/home/jshand/fpc/rtl/linux'
/usr/bin/install -m 755 -d /usr/local/lib/fpc/3.2.0/units/x86_64-linux/rtl
/usr/bin/install -c -m 644 /home/jshand/fpc/rtl/units/x86_64-linux/prt0.o /home/jshand/fpc/rtl/units/x86_64-linux/dllprt0.o /home/jshand/fpc/rtl/units/x86_64-linux/cprt0.o /home/jshand/fpc/rtl/units/x86_64-linux/gprt0.o /home/jshand/fpc/rtl/units/x86_64-linux/abitag.o /usr/local/lib/fpc/3.2.0/units/x86_64-linux/rtl
/usr/bin/install -m 755 -d /usr/local/lib/fpc/3.2.0/units/x86_64-linux/rtl
/usr/bin/install -c -m 644 /home/jshand/fpc/rtl/units/x86_64-linux/system.ppu /home/jshand/fpc/rtl/units/x86_64-linux/fpintres.ppu /home/jshand/fpc/rtl/units/x86_64-linux/si_prc.ppu /home/jshand/fpc/rtl/units/x86_64-linux/si_c.ppu /home/jshand/fpc/rtl/units/x86_64-linux/si_g.ppu /home/jshand/fpc/rtl/units/x86_64-linux/si_dll.ppu /home/jshand/fpc/rtl/units/x86_64-linux/uuchar.ppu /home/jshand/fpc/rtl/units/x86_64-linux/unixtype.ppu /home/jshand/fpc/rtl/units/x86_64-linux/ctypes.ppu /home/jshand/fpc/rtl/units/x86_64-linux/baseunix.ppu /home/jshand/fpc/rtl/units/x86_64-linux/strings.ppu /home/jshand/fpc/rtl/units/x86_64-linux/objpas.ppu /home/jshand/fpc/rtl/units/x86_64-linux/macpas.ppu /home/jshand/fpc/rtl/units/x86_64-linux/iso7185.ppu /home/jshand/fpc/rtl/units/x86_64-linux/extpas.ppu /home/jshand/fpc/rtl/units/x86_64-linux/syscall.ppu /home/jshand/fpc/rtl/units/x86_64-linux/unixutil.ppu /home/jshand/fpc/rtl/units/x86_64-linux/heaptrc.ppu /home/jshand/fpc/rtl/units/x86_64-linux/lineinfo.ppu /home/jshand/fpc/rtl/units/x86_64-linux/lnfodwrf.ppu /home/jshand/fpc/rtl/units/x86_64-linux/termio.ppu /home/jshand/fpc/rtl/units/x86_64-linux/unix.ppu /home/jshand/fpc/rtl/units/x86_64-linux/linux.ppu /home/jshand/fpc/rtl/units/x86_64-linux/initc.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cmem.ppu /home/jshand/fpc/rtl/units/x86_64-linux/x86.ppu /home/jshand/fpc/rtl/units/x86_64-linux/ports.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cpu.ppu /home/jshand/fpc/rtl/units/x86_64-linux/linuxvcs.ppu /home/jshand/fpc/rtl/units/x86_64-linux/sysutils.ppu /home/jshand/fpc/rtl/units/x86_64-linux/typinfo.ppu /home/jshand/fpc/rtl/units/x86_64-linux/math.ppu /home/jshand/fpc/rtl/units/x86_64-linux/charset.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cpall.ppu /home/jshand/fpc/rtl/units/x86_64-linux/character.ppu /home/jshand/fpc/rtl/units/x86_64-linux/unixcp.ppu /home/jshand/fpc/rtl/units/x86_64-linux/getopts.ppu /home/jshand/fpc/rtl/units/x86_64-linux/errors.ppu /home/jshand/fpc/rtl/units/x86_64-linux/dl.ppu /home/jshand/fpc/rtl/units/x86_64-linux/dynlibs.ppu /home/jshand/fpc/rtl/units/x86_64-linux/types.ppu /home/jshand/fpc/rtl/units/x86_64-linux/sysconst.ppu /home/jshand/fpc/rtl/units/x86_64-linux/fpwidestring.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cthreads.ppu /home/jshand/fpc/rtl/units/x86_64-linux/classes.ppu /home/jshand/fpc/rtl/units/x86_64-linux/fgl.ppu /home/jshand/fpc/rtl/units/x86_64-linux/rtlconsts.ppu /home/jshand/fpc/rtl/units/x86_64-linux/dos.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cwstring.ppu /home/jshand/fpc/rtl/units/x86_64-linux/fpcylix.ppu /home/jshand/fpc/rtl/units/x86_64-linux/softfpu.ppu /home/jshand/fpc/rtl/units/x86_64-linux/sfpux80.ppu /home/jshand/fpc/rtl/units/x86_64-linux/ufloatx80.ppu /home/jshand/fpc/rtl/units/x86_64-linux/sfpu128.ppu /home/jshand/fpc/rtl/units/x86_64-linux/ufloat128.ppu /home/jshand/fpc/rtl/units/x86_64-linux/exeinfo.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cp1250.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cp1251.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cp1252.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cp1253.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cp1254.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cp1255.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cp1256.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cp1257.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cp1258.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cp437.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cp646.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cp737.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cp775.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cp850.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cp852.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cp855.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cp856.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cp857.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cp860.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cp861.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cp862.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cp863.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cp864.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cp865.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cp866.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cp869.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cp874.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cp3021.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cp8859_1.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cp8859_2.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cp8859_3.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cp8859_4.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cp8859_5.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cp8859_6.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cp8859_7.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cp8859_8.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cp8859_9.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cp8859_10.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cp8859_11.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cp8859_13.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cp8859_14.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cp8859_15.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cp8859_16.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cpkoi8_r.ppu /home/jshand/fpc/rtl/units/x86_64-linux/cpkoi8_u.ppu /home/jshand/fpc/rtl/units/x86_64-linux/unicodedata.ppu /home/jshand/fpc/rtl/units/x86_64-linux/unicodenumtable.ppu /usr/local/lib/fpc/3.2.0/units/x86_64-linux/rtl
/usr/bin/install -c -m 644 /home/jshand/fpc/rtl/units/x86_64-linux/system.o /home/jshand/fpc/rtl/units/x86_64-linux/fpintres.o /home/jshand/fpc/rtl/units/x86_64-linux/si_prc.o /home/jshand/fpc/rtl/units/x86_64-linux/si_c.o /home/jshand/fpc/rtl/units/x86_64-linux/si_g.o /home/jshand/fpc/rtl/units/x86_64-linux/si_dll.o /home/jshand/fpc/rtl/units/x86_64-linux/uuchar.o /home/jshand/fpc/rtl/units/x86_64-linux/unixtype.o /home/jshand/fpc/rtl/units/x86_64-linux/ctypes.o /home/jshand/fpc/rtl/units/x86_64-linux/baseunix.o /home/jshand/fpc/rtl/units/x86_64-linux/strings.o /home/jshand/fpc/rtl/units/x86_64-linux/objpas.o /home/jshand/fpc/rtl/units/x86_64-linux/macpas.o /home/jshand/fpc/rtl/units/x86_64-linux/iso7185.o /home/jshand/fpc/rtl/units/x86_64-linux/extpas.o /home/jshand/fpc/rtl/units/x86_64-linux/unixutil.o /home/jshand/fpc/rtl/units/x86_64-linux/heaptrc.o /home/jshand/fpc/rtl/units/x86_64-linux/lineinfo.o /home/jshand/fpc/rtl/units/x86_64-linux/lnfodwrf.o /home/jshand/fpc/rtl/units/x86_64-linux/termio.o /home/jshand/fpc/rtl/units/x86_64-linux/unix.o /home/jshand/fpc/rtl/units/x86_64-linux/linux.o /home/jshand/fpc/rtl/units/x86_64-linux/initc.o /home/jshand/fpc/rtl/units/x86_64-linux/cmem.o /home/jshand/fpc/rtl/units/x86_64-linux/x86.o /home/jshand/fpc/rtl/units/x86_64-linux/ports.o /home/jshand/fpc/rtl/units/x86_64-linux/cpu.o /home/jshand/fpc/rtl/units/x86_64-linux/linuxvcs.o /home/jshand/fpc/rtl/units/x86_64-linux/sysutils.o /home/jshand/fpc/rtl/units/x86_64-linux/typinfo.o /home/jshand/fpc/rtl/units/x86_64-linux/math.o /home/jshand/fpc/rtl/units/x86_64-linux/charset.o /home/jshand/fpc/rtl/units/x86_64-linux/character.o /home/jshand/fpc/rtl/units/x86_64-linux/unixcp.o /home/jshand/fpc/rtl/units/x86_64-linux/getopts.o /home/jshand/fpc/rtl/units/x86_64-linux/errors.o /home/jshand/fpc/rtl/units/x86_64-linux/dl.o /home/jshand/fpc/rtl/units/x86_64-linux/dynlibs.o /home/jshand/fpc/rtl/units/x86_64-linux/types.o /home/jshand/fpc/rtl/units/x86_64-linux/sysconst.o /home/jshand/fpc/rtl/units/x86_64-linux/fpwidestring.o /home/jshand/fpc/rtl/units/x86_64-linux/cthreads.o /home/jshand/fpc/rtl/units/x86_64-linux/classes.o /home/jshand/fpc/rtl/units/x86_64-linux/fgl.o /home/jshand/fpc/rtl/units/x86_64-linux/rtlconsts.o /home/jshand/fpc/rtl/units/x86_64-linux/dos.o /home/jshand/fpc/rtl/units/x86_64-linux/cwstring.o /home/jshand/fpc/rtl/units/x86_64-linux/fpcylix.o /home/jshand/fpc/rtl/units/x86_64-linux/softfpu.o /home/jshand/fpc/rtl/units/x86_64-linux/sfpux80.o /home/jshand/fpc/rtl/units/x86_64-linux/ufloatx80.o /home/jshand/fpc/rtl/units/x86_64-linux/sfpu128.o /home/jshand/fpc/rtl/units/x86_64-linux/ufloat128.o /home/jshand/fpc/rtl/units/x86_64-linux/exeinfo.o /home/jshand/fpc/rtl/units/x86_64-linux/cp1250.o /home/jshand/fpc/rtl/units/x86_64-linux/cp1251.o /home/jshand/fpc/rtl/units/x86_64-linux/cp1252.o /home/jshand/fpc/rtl/units/x86_64-linux/cp1253.o /home/jshand/fpc/rtl/units/x86_64-linux/cp1254.o /home/jshand/fpc/rtl/units/x86_64-linux/cp1255.o /home/jshand/fpc/rtl/units/x86_64-linux/cp1256.o /home/jshand/fpc/rtl/units/x86_64-linux/cp1257.o /home/jshand/fpc/rtl/units/x86_64-linux/cp1258.o /home/jshand/fpc/rtl/units/x86_64-linux/cp437.o /home/jshand/fpc/rtl/units/x86_64-linux/cp646.o /home/jshand/fpc/rtl/units/x86_64-linux/cp737.o /home/jshand/fpc/rtl/units/x86_64-linux/cp775.o /home/jshand/fpc/rtl/units/x86_64-linux/cp850.o /home/jshand/fpc/rtl/units/x86_64-linux/cp852.o /home/jshand/fpc/rtl/units/x86_64-linux/cp855.o /home/jshand/fpc/rtl/units/x86_64-linux/cp856.o /home/jshand/fpc/rtl/units/x86_64-linux/cp857.o /home/jshand/fpc/rtl/units/x86_64-linux/cp860.o /home/jshand/fpc/rtl/units/x86_64-linux/cp861.o /home/jshand/fpc/rtl/units/x86_64-linux/cp862.o /home/jshand/fpc/rtl/units/x86_64-linux/cp863.o /home/jshand/fpc/rtl/units/x86_64-linux/cp864.o /home/jshand/fpc/rtl/units/x86_64-linux/cp865.o /home/jshand/fpc/rtl/units/x86_64-linux/cp866.o /home/jshand/fpc/rtl/units/x86_64-linux/cp869.o /home/jshand/fpc/rtl/units/x86_64-linux/cp874.o /home/jshand/fpc/rtl/units/x86_64-linux/cp3021.o /home/jshand/fpc/rtl/units/x86_64-linux/cp8859_1.o /home/jshand/fpc/rtl/units/x86_64-linux/cp8859_2.o /home/jshand/fpc/rtl/units/x86_64-linux/cp8859_3.o /home/jshand/fpc/rtl/units/x86_64-linux/cp8859_4.o /home/jshand/fpc/rtl/units/x86_64-linux/cp8859_5.o /home/jshand/fpc/rtl/units/x86_64-linux/cp8859_6.o /home/jshand/fpc/rtl/units/x86_64-linux/cp8859_7.o /home/jshand/fpc/rtl/units/x86_64-linux/cp8859_8.o /home/jshand/fpc/rtl/units/x86_64-linux/cp8859_9.o /home/jshand/fpc/rtl/units/x86_64-linux/cp8859_10.o /home/jshand/fpc/rtl/units/x86_64-linux/cp8859_11.o /home/jshand/fpc/rtl/units/x86_64-linux/cp8859_13.o /home/jshand/fpc/rtl/units/x86_64-linux/cp8859_14.o /home/jshand/fpc/rtl/units/x86_64-linux/cp8859_15.o /home/jshand/fpc/rtl/units/x86_64-linux/cp8859_16.o /home/jshand/fpc/rtl/units/x86_64-linux/cpkoi8_r.o /home/jshand/fpc/rtl/units/x86_64-linux/cpkoi8_u.o /home/jshand/fpc/rtl/units/x86_64-linux/unicodedata.o /home/jshand/fpc/rtl/units/x86_64-linux/unicodenumtable.o /usr/local/lib/fpc/3.2.0/units/x86_64-linux/rtl
make[4]: Leaving directory '/home/jshand/fpc/rtl/linux'
make -C linux exampleinstall
make[4]: Entering directory '/home/jshand/fpc/rtl/linux'
make[4]: Nothing to be done for 'exampleinstall'.
make[4]: Leaving directory '/home/jshand/fpc/rtl/linux'
make[3]: Leaving directory '/home/jshand/fpc/rtl'
make[2]: Leaving directory '/home/jshand/fpc'
make[1]: Leaving directory '/home/jshand/fpc'
make installother FPC=/home/jshand/fpc/compiler/ppcx64 ZIPDESTDIR=/home/jshand/fpc FPCMAKE=/home/jshand/fpc/utils/fpcm/bin/x86_64-linux/fpcmake
make[1]: Entering directory '/home/jshand/fpc'
make packages_distinstall FPC=/home/jshand/fpc/compiler/ppcx64 ZIPDESTDIR=/home/jshand/fpc FPCMAKE=/home/jshand/fpc/utils/fpcm/bin/x86_64-linux/fpcmake
make[2]: Entering directory '/home/jshand/fpc'
make -C packages distinstall
make[3]: Entering directory '/home/jshand/fpc/packages'
./fpmake install --localunitdir=.. --os=linux --cpu=x86_64 -o -Ur -o -Xs -o -O2 -o -n -o -Cg -o -dx86_64 -o -dRELEASE --compiler=/home/jshand/fpc/compiler/ppcx64 -bu --prefix=/usr/local --baseinstalldir=/usr/local/lib/fpc/3.2.0  -ie -fsp 0
Searching /home/jshand/fpc/packages/fcl-base/src/win/
Searching /home/jshand/fpc/packages/gmp/examples/
Searching /home/jshand/fpc/packages/gtk2/examples/
Searching /home/jshand/fpc/packages/gtk2/examples/filechooser/
Searching /home/jshand/fpc/packages/gtk2/examples/gettingstarted/
Searching /home/jshand/fpc/packages/gtk2/examples/gtk_demo/
Searching /home/jshand/fpc/packages/gtk2/examples/gtkglext/
Searching /home/jshand/fpc/packages/gtk2/examples/helloworld/
Searching /home/jshand/fpc/packages/gtk2/examples/helloworld2/
Searching /home/jshand/fpc/packages/gtk2/examples/plugins/
Searching /home/jshand/fpc/packages/gtk2/examples/scribble_simple/
Searching /home/jshand/fpc/packages/ibase/examples/
Searching /home/jshand/fpc/packages/libcurl/examples/
Searching /home/jshand/fpc/packages/libgbafpc/examples/
Searching /home/jshand/fpc/packages/libgbafpc/examples/audio/
Searching /home/jshand/fpc/packages/libgbafpc/examples/audio/PlayBoyScout/
Searching /home/jshand/fpc/packages/libgbafpc/examples/audio/PlayBoyScout/data/
Searching /home/jshand/fpc/packages/libgbafpc/examples/template/
Searching /home/jshand/fpc/packages/libgbafpc/examples/graphics/
Searching /home/jshand/fpc/packages/libgbafpc/examples/graphics/PCXView/
Searching /home/jshand/fpc/packages/libgbafpc/examples/graphics/PCXView/data/
Searching /home/jshand/fpc/packages/libgbafpc/examples/graphics/SimpleBGScroll/
Searching /home/jshand/fpc/packages/libgbafpc/examples/graphics/SimpleBGScroll/data/
Searching /home/jshand/fpc/packages/libgbafpc/examples/graphics/ansi_console/
Searching /home/jshand/fpc/packages/libgd/examples/
Searching /home/jshand/fpc/packages/libndsfpc/examples/
Searching /home/jshand/fpc/packages/libndsfpc/examples/audio/
Searching /home/jshand/fpc/packages/libndsfpc/examples/audio/maxmod/
Searching /home/jshand/fpc/packages/libndsfpc/examples/audio/maxmod/streaming/
Searching /home/jshand/fpc/packages/libndsfpc/examples/audio/maxmod/song_events_example2/
Searching /home/jshand/fpc/packages/libndsfpc/examples/audio/maxmod/song_events_example2/audio/
Searching /home/jshand/fpc/packages/libndsfpc/examples/audio/maxmod/song_events_example/
Searching /home/jshand/fpc/packages/libndsfpc/examples/audio/maxmod/song_events_example/music/
Searching /home/jshand/fpc/packages/libndsfpc/examples/audio/maxmod/song_events_example/gfx/
Searching /home/jshand/fpc/packages/libndsfpc/examples/audio/maxmod/basic_sound/
Searching /home/jshand/fpc/packages/libndsfpc/examples/audio/maxmod/basic_sound/audio/
Searching /home/jshand/fpc/packages/libndsfpc/examples/audio/maxmod/reverb/
Searching /home/jshand/fpc/packages/libndsfpc/examples/audio/maxmod/reverb/audio/
Searching /home/jshand/fpc/packages/libndsfpc/examples/audio/maxmod/audio_modes/
Searching /home/jshand/fpc/packages/libndsfpc/examples/audio/maxmod/audio_modes/audio/
Searching /home/jshand/fpc/packages/libndsfpc/examples/audio/micrecord/
Searching /home/jshand/fpc/packages/libndsfpc/examples/debugging/
Searching /home/jshand/fpc/packages/libndsfpc/examples/debugging/exceptionTest/
Searching /home/jshand/fpc/packages/libndsfpc/examples/ds_motion/
Searching /home/jshand/fpc/packages/libndsfpc/examples/hello_world/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/Printing/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/Printing/custom_font/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/Printing/custom_font/gfx/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/Printing/rotscale_text/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/Printing/rotscale_text/gfx/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/Printing/print_both_screens/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/Printing/console_windows/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/Printing/ansi_console/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/3D/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/3D/3D_Both_Screens/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/3D/Textured_Cube/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/3D/Textured_Cube/data/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/3D/Display_List/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/3D/Mixed_Text_3D/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/3D/Textured_Quad/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/3D/Textured_Quad/data/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/3D/Ortho/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/3D/Ortho/data/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/3D/BoxTest/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/3D/Simple_Quad/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/3D/Toon_Shading/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/3D/Toon_Shading/data/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/3D/nehe/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/3D/nehe/lesson03/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/3D/nehe/lesson05/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/3D/nehe/lesson04/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/3D/nehe/lesson08/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/3D/nehe/lesson08/data/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/3D/nehe/lesson10/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/3D/nehe/lesson10/data/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/3D/nehe/lesson02/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/3D/nehe/lesson01/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/3D/nehe/lesson09/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/3D/nehe/lesson09/data/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/3D/nehe/lesson07/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/3D/nehe/lesson07/data/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/3D/nehe/lesson11/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/3D/nehe/lesson11/data/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/3D/nehe/lesson10b/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/3D/nehe/lesson10b/data/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/3D/nehe/lesson06/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/3D/nehe/lesson06/data/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/3D/Env_Mapping/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/3D/Env_Mapping/data/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/3D/Display_List_2/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/3D/Display_List_2/data/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/3D/Picking/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/3D/Picking/data/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/3D/Simple_Tri/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/3D/Paletted_Cube/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/3D/Paletted_Cube/data/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/Sprites/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/Sprites/bitmap_sprites/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/Sprites/fire_and_sprites/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/Sprites/fire_and_sprites/data/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/Sprites/allocation_test/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/Sprites/animate_simple/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/Sprites/animate_simple/sprites/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/Sprites/sprite_extended_palettes/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/Sprites/simple/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/Sprites/sprite_rotate/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/Ext_Palettes/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/Ext_Palettes/backgrounds/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/Ext_Palettes/backgrounds/gfx/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/Effects/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/Effects/windows/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/Effects/windows/gfx/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/Backgrounds/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/Backgrounds/256_color_bmp/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/Backgrounds/256_color_bmp/gfx/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/Backgrounds/16bit_color_bmp/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/Backgrounds/16bit_color_bmp/gfx/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/Backgrounds/rotation/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/Backgrounds/rotation/data/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/Backgrounds/all_in_one/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/Backgrounds/all_in_one/asm/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/Backgrounds/all_in_one/gfx/
Searching /home/jshand/fpc/packages/libndsfpc/examples/graphics/Backgrounds/Double_Buffer/
Searching /home/jshand/fpc/packages/libndsfpc/examples/filesystem/
Searching /home/jshand/fpc/packages/libndsfpc/examples/filesystem/nitrofs/
Searching /home/jshand/fpc/packages/libndsfpc/examples/filesystem/nitrofs/nitrodir/
Searching /home/jshand/fpc/packages/libndsfpc/examples/filesystem/nitrofs/nitrodir/nitrofiles/
Searching /home/jshand/fpc/packages/libndsfpc/examples/filesystem/nitrofs/nitrodir/nitrofiles/dir1/
Searching /home/jshand/fpc/packages/libndsfpc/examples/filesystem/nitrofs/nitrodir/nitrofiles/dir3/
Searching /home/jshand/fpc/packages/libndsfpc/examples/filesystem/nitrofs/nitrodir/nitrofiles/dir2/
Searching /home/jshand/fpc/packages/libndsfpc/examples/filesystem/nitrofs/nitrodir/nitrofiles/dir2/subdir1/
Searching /home/jshand/fpc/packages/libndsfpc/examples/filesystem/nitrofs/nitrodir/nitrofiles/dir2/subdir1/subsubdir1/
Searching /home/jshand/fpc/packages/libndsfpc/examples/filesystem/embedded_gbfs/
Searching /home/jshand/fpc/packages/libndsfpc/examples/filesystem/embedded_gbfs/GBFS/
Searching /home/jshand/fpc/packages/libndsfpc/examples/filesystem/libfat/
Searching /home/jshand/fpc/packages/libndsfpc/examples/filesystem/libfat/libfatdir/
Searching /home/jshand/fpc/packages/libndsfpc/examples/filesystem/libfat/access_file/
Searching /home/jshand/fpc/packages/libndsfpc/examples/filesystem/libfat/access_dir/
Searching /home/jshand/fpc/packages/libndsfpc/examples/card/
Searching /home/jshand/fpc/packages/libndsfpc/examples/card/eeprom/
Searching /home/jshand/fpc/packages/libndsfpc/examples/time/
Searching /home/jshand/fpc/packages/libndsfpc/examples/time/stopwatch/
Searching /home/jshand/fpc/packages/libndsfpc/examples/time/RealTimeClock/
Searching /home/jshand/fpc/packages/libndsfpc/examples/time/timercallback/
Searching /home/jshand/fpc/packages/libndsfpc/examples/input/
Searching /home/jshand/fpc/packages/libndsfpc/examples/input/keyboard/
Searching /home/jshand/fpc/packages/libndsfpc/examples/input/keyboard/keyboard_stdin/
Searching /home/jshand/fpc/packages/libndsfpc/examples/input/keyboard/keyboard_async/
Searching /home/jshand/fpc/packages/libndsfpc/examples/input/Touch_Pad/
Searching /home/jshand/fpc/packages/libndsfpc/examples/input/Touch_Pad/touch_area/
Searching /home/jshand/fpc/packages/libndsfpc/examples/input/Touch_Pad/touch_test/
Searching /home/jshand/fpc/packages/libndsfpc/examples/input/Touch_Pad/touch_test/data/
Searching /home/jshand/fpc/packages/libndsfpc/examples/input/Touch_Pad/touch_look/
Searching /home/jshand/fpc/packages/libndsfpc/examples/input/Touch_Pad/touch_look/data/
Searching /home/jshand/fpc/packages/libndsfpc/examples/dswifi/
Searching /home/jshand/fpc/packages/libndsfpc/examples/dswifi/autoconnect/
Searching /home/jshand/fpc/packages/libndsfpc/examples/dswifi/httpget/
Searching /home/jshand/fpc/packages/libndsfpc/examples/dswifi/ap_search/
Searching /home/jshand/fpc/packages/libndsfpc/examples/gl2d/
Searching /home/jshand/fpc/packages/libndsfpc/examples/gl2d/dual_screen/
Searching /home/jshand/fpc/packages/libndsfpc/examples/gl2d/2Dplus3D/
Searching /home/jshand/fpc/packages/libndsfpc/examples/gl2d/2Dplus3D/gfx/
Searching /home/jshand/fpc/packages/libndsfpc/examples/gl2d/fonts/
Searching /home/jshand/fpc/packages/libndsfpc/examples/gl2d/fonts/gfx/
Searching /home/jshand/fpc/packages/libndsfpc/examples/gl2d/primitives/
Searching /home/jshand/fpc/packages/libndsfpc/examples/gl2d/sprites/
Searching /home/jshand/fpc/packages/libndsfpc/examples/gl2d/sprites/gfx/
Searching /home/jshand/fpc/packages/libndsfpc/examples/gl2d/scrolling/
Searching /home/jshand/fpc/packages/libndsfpc/examples/gl2d/scrolling/gfx/
Searching /home/jshand/fpc/packages/libogcfpc/examples/
Searching /home/jshand/fpc/packages/libogcfpc/examples/audio/
Searching /home/jshand/fpc/packages/libogcfpc/examples/audio/mp3player/
Searching /home/jshand/fpc/packages/libogcfpc/examples/audio/mp3player/data/
Searching /home/jshand/fpc/packages/libogcfpc/examples/audio/modplay/
Searching /home/jshand/fpc/packages/libogcfpc/examples/audio/modplay/data/
Searching /home/jshand/fpc/packages/libogcfpc/examples/devices/
Searching /home/jshand/fpc/packages/libogcfpc/examples/devices/usbgecko/
Searching /home/jshand/fpc/packages/libogcfpc/examples/devices/usbgecko/gdbstub/
Searching /home/jshand/fpc/packages/libogcfpc/examples/devices/network/
Searching /home/jshand/fpc/packages/libogcfpc/examples/devices/network/sockettest/
Searching /home/jshand/fpc/packages/libogcfpc/examples/devices/usbkeyboard/
Searching /home/jshand/fpc/packages/libogcfpc/examples/devices/usbkeyboard/basic_stdin/
Searching /home/jshand/fpc/packages/libogcfpc/examples/template/
Searching /home/jshand/fpc/packages/libogcfpc/examples/graphics/
Searching /home/jshand/fpc/packages/libogcfpc/examples/graphics/gx/
Searching /home/jshand/fpc/packages/libogcfpc/examples/graphics/gx/triangle/
Searching /home/jshand/fpc/packages/libogcfpc/examples/graphics/gx/gxSprites/
Searching /home/jshand/fpc/packages/libogcfpc/examples/graphics/gx/gxSprites/textures/
Searching /home/jshand/fpc/packages/libogcfpc/examples/graphics/gx/neheGX/
Searching /home/jshand/fpc/packages/libogcfpc/examples/graphics/gx/neheGX/lesson8/
Searching /home/jshand/fpc/packages/libogcfpc/examples/graphics/gx/neheGX/lesson8/textures/
Searching /home/jshand/fpc/packages/libogcfpc/examples/graphics/gx/neheGX/lesson7/
Searching /home/jshand/fpc/packages/libogcfpc/examples/graphics/gx/neheGX/lesson7/textures/
Searching /home/jshand/fpc/packages/libogcfpc/examples/graphics/gx/neheGX/lesson1/
Searching /home/jshand/fpc/packages/libogcfpc/examples/graphics/gx/neheGX/lesson6/
Searching /home/jshand/fpc/packages/libogcfpc/examples/graphics/gx/neheGX/lesson6/textures/
Searching /home/jshand/fpc/packages/libogcfpc/examples/graphics/gx/neheGX/lesson2/
Searching /home/jshand/fpc/packages/libogcfpc/examples/graphics/gx/neheGX/lesson9/
Searching /home/jshand/fpc/packages/libogcfpc/examples/graphics/gx/neheGX/lesson9/textures/
Searching /home/jshand/fpc/packages/libogcfpc/examples/graphics/gx/neheGX/lesson3/
Searching /home/jshand/fpc/packages/libogcfpc/examples/graphics/gx/neheGX/lesson4/
Searching /home/jshand/fpc/packages/libogcfpc/examples/graphics/gx/neheGX/lesson5/
Searching /home/jshand/fpc/packages/libogcfpc/examples/filesystem/
Searching /home/jshand/fpc/packages/libogcfpc/examples/filesystem/directory/
Searching /home/jshand/fpc/packages/libxml/examples/
Searching /home/jshand/fpc/packages/odbc/examples/
Searching /home/jshand/fpc/packages/opengles/examples/
Searching /home/jshand/fpc/packages/os2units/examples/
Searching /home/jshand/fpc/packages/postgres/examples/
Searching /home/jshand/fpc/packages/ptc/examples/
Searching /home/jshand/fpc/packages/regexpr/examples/
Searching /home/jshand/fpc/packages/svgalib/examples/
Searching /home/jshand/fpc/packages/syslog/examples/
Searching /home/jshand/fpc/packages/uuid/examples/
Searching /home/jshand/fpc/packages/ide/
Searching /home/jshand/fpc/packages/ide/
Searching /home/jshand/fpc/packages/ide/fakegdb/
Searching /home/jshand/fpc/packages/ide/units/
Searching /home/jshand/fpc/packages/ide/units/x86_64-linux/
Searching /home/jshand/fpc/packages/ide/bin/
Searching /home/jshand/fpc/packages/ide/bin/x86_64-linux/
Searching /home/jshand/fpc/packages/ide/compiler/
Searching /home/jshand/fpc/packages/ide/
Searching /home/jshand/fpc/packages/ide/fakegdb/
Searching /home/jshand/fpc/packages/ide/units/
Searching /home/jshand/fpc/packages/ide/units/x86_64-linux/
Searching /home/jshand/fpc/packages/ide/bin/
Searching /home/jshand/fpc/packages/ide/Installing package a52
Installation package a52 for target x86_64-linux succeeded
Skipped package ami-extra which has been disabled for target x86_64-linux
Skipped package amunits which has been disabled for target x86_64-linux
Skipped package arosunits which has been disabled for target x86_64-linux
Installing package aspell
Installation package aspell for target x86_64-linux succeeded
Installing package bfd
Installation package bfd for target x86_64-linux succeeded
Installing package bzip2
Installation package bzip2 for target x86_64-linux succeeded
Installing package cairo
Installation package cairo for target x86_64-linux succeeded
Installing package cdrom
Installation package cdrom for target x86_64-linux succeeded
Installing package chm
Installation package chm for target x86_64-linux succeeded
Skipped package cocoaint which has been disabled for target x86_64-linux
Installing package dblib
Installation package dblib for target x86_64-linux succeeded
Installing package dbus
Installation package dbus for target x86_64-linux succeeded
Installing package dts
Installation package dts for target x86_64-linux succeeded
Installing package fastcgi
Installation package fastcgi for target x86_64-linux succeeded
Installing package fcl-async
Installation package fcl-async for target x86_64-linux succeeded
Installing package fcl-base
Installation package fcl-base for target x86_64-linux succeeded
Installing package fcl-db
Installation package fcl-db for target x86_64-linux succeeded
Installing package fcl-extra
Installation package fcl-extra for target x86_64-linux succeeded
Installing package fcl-fpcunit
Installation package fcl-fpcunit for target x86_64-linux succeeded
Installing package fcl-image
Installation package fcl-image for target x86_64-linux succeeded
Installing package fcl-js
Installation package fcl-js for target x86_64-linux succeeded
Installing package fcl-json
Installation package fcl-json for target x86_64-linux succeeded
Installing package fcl-net
Installation package fcl-net for target x86_64-linux succeeded
Installing package fcl-passrc
Installation package fcl-passrc for target x86_64-linux succeeded
Installing package fcl-process
Installation package fcl-process for target x86_64-linux succeeded
Installing package fcl-registry
Installation package fcl-registry for target x86_64-linux succeeded
Installing package fcl-res
Installation package fcl-res for target x86_64-linux succeeded
Installing package fcl-sdo
Installation package fcl-sdo for target x86_64-linux succeeded
Installing package fcl-sound
Installation package fcl-sound for target x86_64-linux succeeded
Installing package fcl-stl
Installation package fcl-stl for target x86_64-linux succeeded
Installing package fcl-web
Installation package fcl-web for target x86_64-linux succeeded
Installing package fcl-xml
Installation package fcl-xml for target x86_64-linux succeeded
Installing package fftw
Installation package fftw for target x86_64-linux succeeded
Installing package fpgtk
Installation package fpgtk for target x86_64-linux succeeded
Installing package fpindexer
Installation package fpindexer for target x86_64-linux succeeded
Installing package fpmkunit
Installation package fpmkunit for target x86_64-linux succeeded
Installing package fppkg
Installation package fppkg for target x86_64-linux succeeded
Installing package fv
Installation package fv for target x86_64-linux succeeded
Start compiling package gdbint for target x86_64-linux.
File libgdb.a not found
Compiled package gdbint
Installing package gdbint
Installation package gdbint for target x86_64-linux succeeded
Installing package gdbm
Installation package gdbm for target x86_64-linux succeeded
Installing package ggi
Installation package ggi for target x86_64-linux succeeded
Installing package gmp
Installation package gmp for target x86_64-linux succeeded
Installing package gnome1
Installation package gnome1 for target x86_64-linux succeeded
Installing package graph
Installation package graph for target x86_64-linux succeeded
Installing package gtk1
Installation package gtk1 for target x86_64-linux succeeded
Installing package gtk2
Installation package gtk2 for target x86_64-linux succeeded
Installing package hash
Installation package hash for target x86_64-linux succeeded
Installing package hermes
Installation package hermes for target x86_64-linux succeeded
Skipped package httpd13 which has been disabled for target x86_64-linux
Skipped package httpd20 which has been disabled for target x86_64-linux
Installing package httpd22
Installation package httpd22 for target x86_64-linux succeeded
Installing package httpd24
Installation package httpd24 for target x86_64-linux succeeded
Installing package ibase
Installation package ibase for target x86_64-linux succeeded
Installing package iconvenc
Installation package iconvenc for target x86_64-linux succeeded
Installing package imagemagick
Installation package imagemagick for target x86_64-linux succeeded
Installing package imlib
Installation package imlib for target x86_64-linux succeeded
Skipped package iosxlocale which has been disabled for target x86_64-linux
Installing package jni
Installation package jni for target x86_64-linux succeeded
Installing package ldap
Installation package ldap for target x86_64-linux succeeded
Skipped package libc which has been disabled for target x86_64-linux
Installing package libcurl
Installation package libcurl for target x86_64-linux succeeded
Installing package libcups
Installation package libcups for target x86_64-linux succeeded
Installing package libffi
Installation package libffi for target x86_64-linux succeeded
Installing package libmicrohttpd
Installation package libmicrohttpd for target x86_64-linux succeeded
Skipped package libgbafpc which has been disabled for target x86_64-linux
Installing package libgd
Installation package libgd for target x86_64-linux succeeded
Skipped package libndsfpc which has been disabled for target x86_64-linux
Skipped package libogcfpc which has been disabled for target x86_64-linux
Installing package libpng
Installation package libpng for target x86_64-linux succeeded
Installing package rsvg
Installation package rsvg for target x86_64-linux succeeded
Installing package libsee
Installation package libsee for target x86_64-linux succeeded
Installing package libusb
Installation package libusb for target x86_64-linux succeeded
Installing package libtar
Installation package libtar for target x86_64-linux succeeded
Installing package libvlc
Installation package libvlc for target x86_64-linux succeeded
Installing package libxml2
Installation package libxml2 for target x86_64-linux succeeded
Installing package lua
Installation package lua for target x86_64-linux succeeded
Installing package mad
Installation package mad for target x86_64-linux succeeded
Installing package modplug
Installation package modplug for target x86_64-linux succeeded
Skipped package morphunits which has been disabled for target x86_64-linux
Installing package mysql
Installation package mysql for target x86_64-linux succeeded
Installing package ncurses
Installation package ncurses for target x86_64-linux succeeded
Installing package newt
Installation package newt for target x86_64-linux succeeded
Installing package numlib
Installation package numlib for target x86_64-linux succeeded
Skipped package nvapi which has been disabled for target x86_64-linux
Skipped package objcrtl which has been disabled for target x86_64-linux
Installing package odbc
Installation package odbc for target x86_64-linux succeeded
Installing package oggvorbis
Installation package oggvorbis for target x86_64-linux succeeded
Installing package openal
Installation package openal for target x86_64-linux succeeded
Installing package opencl
Installation package opencl for target x86_64-linux succeeded
Installing package opengles
Installation package opengles for target x86_64-linux succeeded
Installing package opengl
Installation package opengl for target x86_64-linux succeeded
Installing package openssl
Installation package openssl for target x86_64-linux succeeded
Installing package oracle
Installation package oracle for target x86_64-linux succeeded
Skipped package os2units which has been disabled for target x86_64-linux
Skipped package os4units which has been disabled for target x86_64-linux
Skipped package palmunits which has been disabled for target x86_64-linux
Installing package pasjpeg
Installation package pasjpeg for target x86_64-linux succeeded
Installing package paszlib
Installation package paszlib for target x86_64-linux succeeded
Installing package pcap
Installation package pcap for target x86_64-linux succeeded
Installing package postgres
Installation package postgres for target x86_64-linux succeeded
Installing package proj4
Installation package proj4 for target x86_64-linux succeeded
Installing package ptc
Installation package ptc for target x86_64-linux succeeded
Installing package pthreads
Installation package pthreads for target x86_64-linux succeeded
Installing package pxlib
Installation package pxlib for target x86_64-linux succeeded
Installing package regexpr
Installation package regexpr for target x86_64-linux succeeded
Skipped package rexx which has been disabled for target x86_64-linux
Installing package rtl-console
Installation package rtl-console for target x86_64-linux succeeded
Installing package rtl-extra
Installation package rtl-extra for target x86_64-linux succeeded
Installing package rtl-generics
Installation package rtl-generics for target x86_64-linux succeeded
Installing package rtl-objpas
Installation package rtl-objpas for target x86_64-linux succeeded
Installing package rtl-unicode
Installation package rtl-unicode for target x86_64-linux succeeded
Installing package sdl
Installation package sdl for target x86_64-linux succeeded
Installing package sqlite
Installation package sqlite for target x86_64-linux succeeded
Installing package svgalib
Installation package svgalib for target x86_64-linux succeeded
Installing package symbolic
Installation package symbolic for target x86_64-linux succeeded
Installing package syslog
Installation package syslog for target x86_64-linux succeeded
Installing package tcl
Installation package tcl for target x86_64-linux succeeded
Skipped package tosunits which has been disabled for target x86_64-linux
Skipped package univint which has been disabled for target x86_64-linux
Skipped package unixutil which has been disabled for target x86_64-linux
Installing package unzip
Installation package unzip for target x86_64-linux succeeded
Installing package users
Installation package users for target x86_64-linux succeeded
Installing package utmp
Installation package utmp for target x86_64-linux succeeded
Installing package uuid
Installation package uuid for target x86_64-linux succeeded
Skipped package winceunits which has been disabled for target x86_64-linux
Skipped package winunits-base which has been disabled for target x86_64-linux
Skipped package winunits-jedi which has been disabled for target x86_64-linux
Installing package x11
Installation package x11 for target x86_64-linux succeeded
Installing package xforms
Installation package xforms for target x86_64-linux succeeded
Installing package zlib
Installation package zlib for target x86_64-linux succeeded
Installing package libenet
Installation package libenet for target x86_64-linux succeeded
Installing package zorba
Installation package zorba for target x86_64-linux succeeded
Installing package googleapi
Installation package googleapi for target x86_64-linux succeeded
Installing package fcl-pdf
Installation package fcl-pdf for target x86_64-linux succeeded
Installing package odata
Installation package odata for target x86_64-linux succeeded
Installing package pastojs
Installation package pastojs for target x86_64-linux succeeded
Installing package libgc
Installation package libgc for target x86_64-linux succeeded
Installing package libfontconfig
Installation package libfontconfig for target x86_64-linux succeeded
Installing package fcl-report
Installation package fcl-report for target x86_64-linux succeeded
Installing package webidl
Installation package webidl for target x86_64-linux succeeded
Installing package ide
Installation package ide for target x86_64-linux succeeded
Installing package fpc-all
Installation package fpc-all for target x86_64-linux succeeded
bin/x86_64-linux/
Searching /home/jshand/fpc/packages/ide/compiler/
Searching /home/jshand/fpc/packages/ide/
Searching /home/jshand/fpc/packages/ide/
Searching /home/jshand/fpc/packages/ide/
Searching /home/jshand/fpc/packages/ide/
make[3]: Leaving directory '/home/jshand/fpc/packages'
make[2]: Leaving directory '/home/jshand/fpc'
make utils_distinstall FPC=/home/jshand/fpc/compiler/ppcx64 ZIPDESTDIR=/home/jshand/fpc FPCMAKE=/home/jshand/fpc/utils/fpcm/bin/x86_64-linux/fpcmake
make[2]: Entering directory '/home/jshand/fpc'
make -C utils distinstall
make[3]: Entering directory '/home/jshand/fpc/utils'
./fpmake install --localunitdir=.. --globalunitdir=../packages --os=linux --cpu=x86_64 -o -Ur -o -Xs -o -O2 -o -n -o -Cg -o -dx86_64 -o -dRELEASE --compiler=/home/jshand/fpc/compiler/ppcx64 -bu --prefix=/usr/local --baseinstalldir=/usr/local/lib/fpc/3.2.0  -ie -fsp 0
Installing package utils
Installation package utils for target x86_64-linux succeeded
Skipped package utils-dxegen which has been disabled for target x86_64-linux
Installing package utils-fpcm
Installation package utils-fpcm for target x86_64-linux succeeded
Installing package utils-fpcmkcfg
Installation package utils-fpcmkcfg for target x86_64-linux succeeded
Installing package utils-fpcres
Installation package utils-fpcres for target x86_64-linux succeeded
Skipped package utils-fpcreslipo which has been disabled for target x86_64-linux
Installing package utils-fpdoc
Installation package utils-fpdoc for target x86_64-linux succeeded
Skipped package utils-fpmc which has been disabled for target x86_64-linux
Installing package utils-fppkg
Installation package utils-fppkg for target x86_64-linux succeeded
Installing package utils-fprcp
Installation package utils-fprcp for target x86_64-linux succeeded
Installing package utils-h2pas
Installation package utils-h2pas for target x86_64-linux succeeded
Installing package utils-json2pas
Installation package utils-json2pas for target x86_64-linux succeeded
Skipped package utils-importtl which has been disabled for target x86_64-linux
Installing package utils-instantfpc
Installation package utils-instantfpc for target x86_64-linux succeeded
Installing package utils-pas2fpm
Installation package utils-pas2fpm for target x86_64-linux succeeded
Installing package utils-pas2jni
Installation package utils-pas2jni for target x86_64-linux succeeded
Installing package utils-pas2ut
Installation package utils-pas2ut for target x86_64-linux succeeded
Skipped package utils-rmwait which has been disabled for target x86_64-linux
Installing package utils-lexyacc
Installation package utils-lexyacc for target x86_64-linux succeeded
Installing package utils-unicode
Installation package utils-unicode for target x86_64-linux succeeded
Installing package utils-pas2js
Installation package utils-pas2js for target x86_64-linux succeeded
make[3]: Leaving directory '/home/jshand/fpc/utils'
make[2]: Leaving directory '/home/jshand/fpc'
make[1]: Leaving directory '/home/jshand/fpc'
fpc-makeinstall.txt (47,464 bytes)   

John Shand

2018-10-27 10:03

reporter   ~0111602

just added a file that has information about make install. this seemed to have worked without problems. so it looks like the problem happens just before rpm creation or write.

Mattias Gaertner

2018-10-27 10:19

manager   ~0111603

This is about fpc 3.3.1 and 3.2.0.

This is not specific to rpm building. It affects all "make install".

John Shand

2018-10-28 11:37

reporter   ~0111631

hmmm that's interesting. i've gone back to the 3.0.5 fixes fpc version. i have downloaded the lazarus version 2.0.0 fixes branch and bothe fpc and fpc-src rpms were created without issues

Mattias Gaertner

2018-10-28 11:44

manager   ~0111632

It works with fpc 3.0.5, because libpas2js.so was added in 3.1.1.

John Shand

2018-10-28 22:59

reporter   ~0111643

i have successfully made fpc-3.1.1 rpms including fpc-src. i did this from the branches-pastojs fixes 1.0 branch. what a strange error this is.

John Shand

2018-11-03 05:09

reporter   ~0111751

Last edited: 2018-11-03 05:11

View 2 revisions

still happening with 3.2.0 fixes branch from use of fpc 3.0.5 to compile fpc 3.2.0 fixes branch

John Shand

2018-11-04 05:14

reporter   ~0111775

hey would you know if this issue is going to be resolved soon, as i would like to start experimenting with the fpc 3.2.0 fixes branch asap.

Mattias Gaertner

2018-11-11 10:55

manager   ~0111904

Maybe INSTALL_LIBDIR is not the right parameter.

Maybe I should not separate libpas2js.so and simply install the whole fpc under /usr/lib64.

John Shand

2018-11-11 21:57

reporter   ~0111913

sounds like a good idea. this might be the fix we need

Issue History

Date Modified Username Field Change
2018-09-27 10:06 Mattias Gaertner New Issue
2018-09-27 10:07 Mattias Gaertner Relationship added parent of 0034323
2018-10-18 08:59 John Shand Note Added: 0111447
2018-10-18 09:00 John Shand Note Edited: 0111447 View Revisions
2018-10-27 01:20 John Shand File Added: fpc-makeall.txt
2018-10-27 01:21 John Shand Note Added: 0111592
2018-10-27 01:31 John Shand Note Added: 0111593
2018-10-27 01:46 John Shand Note Added: 0111594
2018-10-27 01:46 John Shand File Added: fpc-createrpmerror.txt
2018-10-27 10:00 John Shand File Added: fpc-makeinstall.txt
2018-10-27 10:03 John Shand Note Added: 0111602
2018-10-27 10:19 Mattias Gaertner Note Added: 0111603
2018-10-28 11:37 John Shand Note Added: 0111631
2018-10-28 11:44 Mattias Gaertner Note Added: 0111632
2018-10-28 22:59 John Shand Note Added: 0111643
2018-11-03 05:09 John Shand Note Added: 0111751
2018-11-03 05:11 John Shand Note Edited: 0111751 View Revisions
2018-11-04 05:14 John Shand Note Added: 0111775
2018-11-11 10:55 Mattias Gaertner Note Added: 0111904
2018-11-11 21:57 John Shand Note Added: 0111913